<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products_options_values', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id');
            $table->foreignId('team_id');
            $table->foreignId('product_id');
            $table->foreignId('products_option_id');

            // content
            $table->string('name');
            $table->json('hexColors');
            $table->enum('price_modifier_operator', ['plus', 'minus']);
            $table->enum('price_modifier_type', ['fixed', 'percent']);
            $table->decimal('price_modifier_amount', 11, 2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products_options_values');
    }
};
